### Method

# Dex Promise get_cancellable

#### Declaration [src]

    GCancellable*
    dex_promise_get_cancellable (
      DexPromise* promise
    )

#### Description [src]

Gets a `GCancellable` that will cancel when the promise has been discarded (and therefore result no longer necessary).

This is useful when manually implementing wrappers around various `GAsyncReadyCallback` based API.

If `promise` was created with dex_promise_new(), then `NULL` is returned.

#### Return value

Type: `GCancellable`

A `GCancellable` or `NULL`.

The data is owned by the instance.
The return value can be `NULL`.